Qt Reference Documentation

- Qt 4.8
- ALL VERSIONS

- A
- A
- A
- Print

# QStyleOptionQ3ListView Class Reference

The QStyleOptionQ3ListView class is used to describe the parameters for drawing a Q3ListView. More...

     #include <QStyleOptionQ3ListView>

Inherits: QStyleOptionComplex.

- List of all members, including inherited members

## Public Types

enum | StyleOptionType { Type }
enum | StyleOptionVersion { Version }

## Public Functions

| QStyleOptionQ3ListView ()
| QStyleOptionQ3ListView ( const QStyleOptionQ3ListView & other )

- 2 public functions inherited from QStyleOption

## Public Variables

int | itemMargin
QList<QStyleOptionQ3ListViewItem> | items
bool | rootIsDecorated
int | sortColumn
int | treeStepSize
QPalette::ColorRole | viewportBGRole
QPalette | viewportPalette

- 2 public variables inherited from QStyleOptionComplex
- 7 public variables inherited from QStyleOption

## Detailed Description

The QStyleOptionQ3ListView class is used to describe the parameters for drawing a Q3ListView.

This class is used for drawing the compatibility Q3ListView. It is not recommended for new classes.

QStyleOptionQ3ListView contains all the information that QStyle functions need to draw Q3ListView.

For performance reasons, the access to the member variables is direct (i.e., using the `.` or `->` operator). This low-level feel makes the structures straightforward to use and emphasizes that these are simply parameters used by the style functions.

For an example demonstrating how style options can be used, see the Styles example.

See also QStyleOptionComplex, Q3ListView, and QStyleOptionQ3ListViewItem.

## Member Type Documentation

### enum QStyleOptionQ3ListView::StyleOptionType

This enum is used to hold information about the type of the style option, and is defined for each QStyleOption subclass.

Constant | Value | Description
--- | --- | ---
`QStyleOptionQ3ListView::Type` | `SO_Q3ListView` | The type of style option provided (SO_Q3ListView for this class).

The type is used internally by QStyleOption, its subclasses, and qstyleoption_cast() to determine the type of style option. In general you do not need to worry about this unless you want to create your own QStyleOption subclass and your own styles.

See also StyleOptionVersion.

### enum QStyleOptionQ3ListView::StyleOptionVersion

This enum is used to hold information about the version of the style option, and is defined for each QStyleOption subclass.

Constant | Value | Description
--- | --- | ---
`QStyleOptionQ3ListView::Version` | `1` | 1

The version is used by QStyleOption subclasses to implement extensions without breaking compatibility. If you use qstyleoption_cast(), you normally do not need to check it.

See also StyleOptionType.

## Member Function Documentation

### QStyleOptionQ3ListView::QStyleOptionQ3ListView ()

Creates a QStyleOptionQ3ListView, initializing the members variables to their default values.

### QStyleOptionQ3ListView::QStyleOptionQ3ListView ( const QStyleOptionQ3ListView & other )

Constructs a copy of the other style option.

## Member Variable Documentation

### int QStyleOptionQ3ListView::itemMargin

This variable holds the margin for items in the list view.

The default value is 0.

See also Q3ListView::itemMargin().

### QList<QStyleOptionQ3ListViewItem> QStyleOptionQ3ListView::items

This variable holds a list of items in the Q3ListView.

This is a list of QStyleOptionQ3ListViewItems. The first item can be used for most of the calculation that are needed for drawing a list view. Any additional items are the children of this first item, which may be used for additional information.

See also QStyleOptionQ3ListViewItem.

### bool QStyleOptionQ3ListView::rootIsDecorated

This variable holds whether root items are decorated.

The default value is false.

See also Q3ListView::rootIsDecorated().

### int QStyleOptionQ3ListView::sortColumn

This variable holds the sort column of the list view.

The default value is 0.

See also Q3ListView::sortColumn().

### int QStyleOptionQ3ListView::treeStepSize

This variable holds the number of pixel to offset children items from their parents.

The default value is 0.

See also Q3ListView::treeStepSize().

### QPalette::ColorRole QStyleOptionQ3ListView::viewportBGRole

This variable holds the background role of Q3ListView's viewport.

The default value is QPalette::Base.

See also QWidget::backgroundRole().

### QPalette QStyleOptionQ3ListView::viewportPalette

This variable holds the palette of Q3ListView's viewport.

By default, the application's default palette is used.